package com.liang.service;

import com.liang.dao.CyyDao;
import com.liang.entity.CyyEntriy;
import com.liang.entity.PrjDivisioncompany;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface CyyService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    CyyEntriy queryById(Integer id);

    /**
     * 通过ACCOUNT查询单条数据
     *
     * @param account
     * @return
     */
    List<CyyEntriy> queryByAccount(String account);

    /**
     * 查询
     *
     * @param cyyEntriy 筛选条件
     * @return 查询结果
     */
    List<CyyEntriy> queryByPage(CyyEntriy cyyEntriy);

    /**
     * 新增数据
     *
     * @param cyyEntriy 实例对象
     * @return 实例对象
     */
    CyyEntriy insert(CyyEntriy cyyEntriy);

    /**
     * 修改数据
     *
     * @param cyyEntriy 实例对象
     * @return 实例对象
     */
    CyyEntriy update(CyyEntriy cyyEntriy);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

}
